export const getColumnsMap = (columns) => columns.reduce((acc, { field, ...childrenColumnsOptions }) => {
    if (field) {
        return {
            // biome-ignore lint/performance/noAccumulatingSpread: <>
            ...acc,
            [field]: childrenColumnsOptions,
        };
    }
    return acc;
}, {});
